ApiUsers
List users
List users with filtering, sorting, and pagination. Supports search by name/email, role filter, and status filter. Requires ADMIN or OWNER role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Query Parameters
search?|
Search by name or email
role?|
Filter by roles (comma-separated: owner,admin,member)
status?string
Filter by status
Default
"active"Value in
"active" | "deactivated" | "all"sort_by?string
Sort by: created_at, email, name, last_login_at, role
Default
"created_at"order?string
Sort order
Default
"desc"Value in
"asc" | "desc"page?integer
Page number (1-indexed)
Default
1Range
1 <= valuepage_size?integer
Items per page
Default
20Range
1 <= value <= 100Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"name": "string",
"avatar_url": "string",
"role": "owner",
"is_active": true,
"deactivated_at": "2019-08-24T14:15:22Z",
"api_key_count": 0,
"last_login_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"can_change_role": true,
"can_deactivate": true,
"can_delete": true,
"available_roles": [
"owner"
]
}
],
"total": 0,
"page": 0,
"page_size": 0,
"has_next": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get user statistics
Return aggregate user statistics for the admin dashboard including counts by role and pending invitations. Requires ADMIN or OWNER role.
Reactivate a user
Reactivate a previously deactivated user account. API keys are not restored; the user must create new ones. Requires ADMIN or OWNER role.
